%define debug_package %{nil}

Name:			fuse-exfat
Summary:		Free exFAT file system implementation
Version:		1.0.1
Release:		1%{?dist}
License:		GPLv3+
Group:			System Environment/Base
Source0:		http://exfat.googlecode.com/files/fuse-exfat-%{version}.tar.gz
URL:			http://code.google.com/p/exfat/
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:		fuse-devel >= 2.6
BuildRequires:		scons
BuildRequires:		gzip
Requires:		fuse >= 2.6

%description
This driver is the first free exFAT file system implementation with write
support. exFAT is a simple file system created by Microsoft. It is intended
to replace FAT32 removing some of it's limitations. exFAT is a standard FS
for SDXC memory cards.

%prep
%setup -q

%build
scons

%install
rm -rf $RPM_BUILD_ROOT
scons install DESTDIR=$RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8/
gzip -9 -c fuse/mount.exfat-fuse.8 > $RPM_BUILD_ROOT/usr/share/man/man8/mount.exfat-fuse.8.gz
ln -s /usr/share/man/man8/mount.exfat-fuse.8.gz $RPM_BUILD_ROOT/usr/share/man/man8/mount.exfat.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(755,root,root) /sbin/mount.exfat-fuse
/sbin/mount.exfat
%attr(644,root,root) /usr/share/man/man8/mount.exfat-fuse.8.gz
/usr/share/man/man8/mount.exfat.8.gz

%changelog
* Sat Feb 02 2013 Lawrence R. Rogers <lrr@cert.org> - 1.0.1-1
* Release 1.0.1-1
	* Fixed unexpected removal of a directory if it is moved into itself.
	* Fixed "Operation not permitted" error on reading an empty file.

* Sat Jan 19 2013 Lawrence R. Rogers <lrr@cert.org> - 1.0.0-1
* Release 1.0.0-1
	* Fixed crash when renaming a file within a single directory and a new name differs only in case.
	* Fixed clusters allocation: a cluster beyond valid clusters range could be allocated.
	* Fixed crash when a volume is unmounted while some files are open.
	* SConscript now respects AR and RANLIB environment variables.
	* Improved error handling.

	Linux:

	* Enabled big_writes. This improves write speed (larger block size means less switches between kernel- and user-space).
	* Do BLKROGET ioctl to make sure the device is not read-only: after "blockdev --setro" kernel still allows to open the device in
	  read-write mode but fails writes.

	OS X:

	* Fixed OS X 10.8 support.
	* Switched to 64-bit inode numbers (now Mac OS X 10.5 or later is required).
	* Switched from unmaintained MacFUSE to OSXFUSE (http://osxfuse.github.com).
	* Fixed device size detection. Now mkfs works.
	* Workarounded some utilities failures due to missing chmod() support.
	* Disabled (senseless) permission checks made by FUSE.

* Thu Nov 15 2012 Lawrence R. Rogers <lrr@cert.org> - 0.9.8-1.1
- Repackaged for the CERT Linux Forensics repository.

* Thu Aug  9 2012 Andrew Nayenko <resver@gmail.com> - 0.9.8-1
- Updated to 0.9.8.

* Thu Mar  8 2012 Andrew Nayenko <resver@gmail.com> - 0.9.7-1
- Updated to 0.9.7.

* Sat Jan 14 2012 Andrew Nayenko <resver@gmail.com> - 0.9.6-1
- Updated to 0.9.6.
- Added symlink to the man page (mount.exfat.8).

* Sun May 15 2011 Andrew Nayenko <resver@gmail.com> - 0.9.5-1
- Updated to 0.9.5.

* Sat Mar  5 2011 Andrew Nayenko <resver@gmail.com> - 0.9.4-1
- Updated to 0.9.4.
- Pass DESTDIR as argument instead of environment variable.

* Sat Sep 25 2010 Andrew Nayenko <resver@gmail.com> - 0.9.3-1
- Updated to 0.9.3.

* Sat Jul 24 2010 Andrew Nayenko <resver@gmail.com> - 0.9.2-1
- Updated to 0.9.2.
- Changed summary according to the main site.
- Added man page installation.

* Sat Jun 12 2010 Andrew Nayenko <resver@gmail.com> - 0.9.1-1
- Updated to 0.9.1.

* Mon Feb 22 2010 Andrew Nayenko <resver@gmail.com> - 0.9.0-1
- Initial package for Fedora.
